package com.bonus.core.marketing.coupon.constants;

public enum MktCouponTypeEnum {
   PAPER_COUPON(1, "纸质餐券"),
   ELECTRON_COUPON(2, "电子餐券"),
   COUPON_GRANT_TYPE_FREE(1, "免费发放"),
   COUPON_GRANT_TYPE_SELL(2, "售卖");

   public static final Integer COUPON_GRANT_TYPE_SINGLE_MULTI = 1;
   public static final Long COUPON_GRANT_TYPE_DEFAULT = -1L;
   public static final Integer COUPON_GRANT_TYPE_MULTI_SINGLE = 2;
   private final Integer key;
   private final String desc;

   private MktCouponTypeEnum(Integer key, String desc) {
      this.key = key;
      this.desc = desc;
   }

   public Integer getKey() {
      return this.key;
   }

   public String getDesc() {
      return this.desc;
   }

}
